% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/segTraj_hybrid_simultanee.R
\name{hybrid_simultanee}
\alias{hybrid_simultanee}
\title{\code{hybrid_simultanee} performs a simultaneous seg - clustering for
bivariate signals.}
\usage{
hybrid_simultanee(
  x,
  P,
  Kmax,
  lmin = 3,
  sameSigma = TRUE,
  sameVar.init = FALSE,
  eps = 1e-06,
  lissage = TRUE,
  pureR = FALSE,
  ...
)
}
\arguments{
\item{x}{the two-dimensional signal, one line per dimension}

\item{P}{the number of classes}

\item{Kmax}{the maximal number of segments}

\item{lmin}{minimum length of segment}

\item{sameSigma}{should segment have the same variance}

\item{sameVar.init}{sameVar.init}

\item{eps}{eps}

\item{lissage}{should likelihood be smoothed}

\item{pureR}{should algorithm run in full R or use Rcpp speed improvements}

\item{...}{additional parameters}
}
\value{
a list with Linc, the incomplete loglikelihood =Linc,param=paramtau
  posterior probability
}
\description{
It is an algorithm which combines dynamic programming
and the EM algorithm to calculate the MLE of phi and T, which
are the mixture parameters and the change point instants.
this algorithm is run for a given number of clusters,
and estimates the parameters for a segmentation/clustering
model with P clusters and 1:Kmax segments
}
